

#pragma once

#include <JuceHeader.h>

class PluginStyle : public juce::LookAndFeel_V4
{
public:
    //custom draw rotary slider with virtual void inherited from juce look and feel 4
        //wanted the slider thumb to be a line to look more like knobs on actual equipment, and to give NMU color scheme
    void drawRotarySlider(juce::Graphics& g, int x, int y, int width, int height, float sliderPosProportional, float rotaryStartAngle, float rotaryEndAngle, juce::Slider& slider) override;


    //custom combobox to change color scheme 
   void drawComboBox(juce::Graphics& g, int width, int height, bool isButtonDown, int buttonX, int buttonY, int buttonW, int buttonH, juce::ComboBox& comboBox) override;
};
